﻿@model ICollection<AllTransactionsViewModel>

@{
    var count = 1;
}
<div>
    <table class="table">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">Sender account</th>
                <th scope="col">Sum USD</th>
                <th scope="col">Description</th>
                <th scope="col">Date</th>
                <th scope="col">Receiver account</th>
                <th scope="col">Receiver name</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var transaction in @Model)
            {
                <tr>
                    <th scope="row">@(count++)</th>
                    <td>@transaction.SenderAccount</td>
                    <td>@transaction.Sum</td>
                    <td>@transaction.Description</td>
                    <td>@transaction.Date</td>
                    <td>@transaction.ReceiverAccount</td>
                    <td>@transaction.ReceiverName</td>
                    <td>
                        @if (transaction.IsOutTransaction)
                        {
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" color="red" height="16" fill="currentColor" class="bi bi-caret-up-fill" viewBox="0 0 16 16">
                                <path d="m7.247 4.86-4.796 5.481c-.566.647-.106 1.659.753 1.659h9.592a1 1 0 0 0 .753-1.659l-4.796-5.48a1 1 0 0 0-1.506 0z" />
                            </svg>
                        }
                        else
                        {
                            <svg xmlns="http://www.w3.org/2000/svg" width="16" color="green" height="16" fill="currentColor" class="bi bi-caret-down-fill" viewBox="0 0 16 16">
                                <path d="M7.247 11.14 2.451 5.658C1.885 5.013 2.345 4 3.204 4h9.592a1 1 0 0 1 .753 1.659l-4.796 5.48a1 1 0 0 1-1.506 0z" />
                            </svg>
                        }
                    </td>

                </tr>
            }
        </tbody>
    </table>
</div>

